Bug 225356 - Review request: fonts-thai
Review request: fonts-thai
Status: CLOSED DUPLICATE of bug 431829
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 184925 333371
  Show dependency treegraph
 
Reported: 2007-01-29 21:57 EST by Behdad Esfahbod
Modified: 2008-02-07 23:56 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:56:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Behdad Esfahbod 2007-01-29 21:57:46 EST
I've created an initial fonts-thai package based on the one from olpc:

  http://www.gnome.org/~behdad/fedora/fonts-thai/
Comment 1 Parag AN(पराग) 2007-02-13 00:53:55 EST
till date i have done many FE package reviews and first time i am going to
review a package for fedora core. 
Kindly tell me if i need any thing to change/set here.

Taking this package for official review.
Comment 2 Parag AN(पराग) 2007-02-13 01:00:53 EST
mockbuild failed.
You need to create a patch to Makefile.am
and replace following line
                mkfontdir -e /usr/X11R6/lib/X11/fonts/encodings; \
with
                mkfontdir -e /usr/share/X11/fonts/encodings; \

submit new package after adding patch.
Comment 3 Parag AN(पराग) 2007-04-15 23:57:47 EDT
No response from submitter so leaving this review as it looks dead to me.
Comment 4 Jason Tibbitts 2007-06-18 22:44:32 EDT
And another two months with no response; it's definitely dead.
Comment 5 Behdad Esfahbod 2007-06-18 23:05:24 EDT
How does me not responding makes Fedora not need Thai fonts?!?!?!

For your information, at the time I submitted this, there was also the issue of
Red Hat legal needing to check copyright/ownership of the fonts.  Not sure what
it should go through these days.

Again, just because original reporter doesn't finish the work, doesn't mean it's
not worth a bug.  STOP CLUTTERING BUGZILLA AND PEOPLE'S INBOX.
Comment 6 Jason Tibbitts 2007-06-18 23:43:36 EDT
Nobody said that your lack of response implies anything about the need for Thai
fonts.  Frankly, all it says is that you haven't bothered to respond to review
commentary, which is puzzling since you sure responded to the closing of the
ticket quickly enough.

So, do you actually want to respond to the comments?  If not, the review ticket
gets closed so that someone else who will actually bother to respond can submit
the package.  Those are the rules.  Comical all-caps replies and anger
misdirected at me, one of the people tasked with keeping the review queue
cleaned up and closing out stalled reviews, isn't going to help the issue.

Either answer the comments or close this ticket.  It's that simple.  I'll clear
the DEADREVIEW blocker, but if there's no response in the future I'll just be
back here to close out this ticket again.
Comment 7 Jason Tibbitts 2007-07-19 20:15:47 EDT
Well, it's been another month with no commentary; setting NEEDINFO.  I'll close
in a week if there's no further response.
Comment 8 Jason Tibbitts 2007-07-27 02:49:02 EDT
Closing as promised.
Comment 9 Jens Petersen 2007-07-27 05:01:30 EDT
Behdad, maybe someone in the i18n team can take up this package for you?
Comment 10 Behdad Esfahbod 2007-07-27 20:07:32 EDT
Jens, anyone should feel free to finish this.  I still think that it's not
productive to close bugs for the sake of doing that.
Comment 11 Jason Tibbitts 2007-07-27 21:04:56 EDT
It's not productive to have a "review" ticket open when the submitter won't even
bother to respond to review commentary.  And now for some reason someone has
come along and renamed this as a merge review when we have no existing
fonts-thai package which was merged.

I really don't understand the point of putting this package out here and then
not even having the common courtesy to respond when a volunteer comes along and
provides review commentary.

So, fine, leave this ticket open and just sitting here.  Perhaps this final
message will discourage any other reviewiers from wasting their time: If you try
to review, you'll be ignored and if you follow policy and close this bug because
the submitter is ignoring comments, you'll get flamed and the ticket will be
reopened.
Comment 12 Jens Petersen 2007-07-29 19:28:39 EDT
Hi Jason,

Sorry for reopening the ticket again.  I don't want to get into any flame-wars
but this package is important to for the i18n team, so we give it a higher
priority than Behdad.  I just feel more comfortable leaving it open
so that it does not fall-off our radar but I also understand your wish to get
it off the review list in a timely manner.  Anyway I think the i18n team should
be able to get this moving again.  But if it is better to start a new ticket,
we can do it that way too. :)
Comment 13 Jason Tibbitts 2007-07-30 14:40:01 EDT
Yes, better to start a new ticket submitted by the person who will be driving
the submission.  I'm sure we can get it reviewed relatively quickly.
Comment 14 Behdad Esfahbod 2007-07-30 17:47:43 EDT
bureaucracy.

I'm reassigning this to fontconfig, so you are not bothered by an open bug for a
real issue.  If you cannot respect the fact that I don't have the free time to
follow up with this, I don't think you should be responsible for a bugzilla
product.  Get a lesson on what issue tracking means.
Comment 15 Parag AN(पराग) 2007-09-14 05:30:11 EDT
Review Requests are always filed against "Package Review" component.
Just checked Bug Activity and bugzilla comments and found that Jason is right. I
mistakenly renamed bug to "Merge Review" rather to make it as "Review Request". 
Its almost another more than one month spent on open review(which should be
closed and reopened again after license issue got solved).

 Anyway whenever fonts-thai package finish its packaging it have to go thru'
package review and package reviews must be reported against "Package Review"
component only.

Comment 16 Parag AN(पराग) 2007-09-14 05:35:23 EDT
(In reply to comment #14)
> bureaucracy.
> 
> I'm reassigning this to fontconfig, so you are not bothered by an open bug for a
> real issue.  If you cannot respect the fact that I don't have the free time to
> follow up with this, I don't think you should be responsible for a bugzilla
> product.  Get a lesson on what issue tracking means.

Good to ask FESCO and prove that their procedure of handling stalled reviews is
WRONG. If we stop people following accepted policies then no one will try to
look at bugs and thus nothing got progressed in bugzilla.
Comment 17 Jens Petersen 2007-09-18 01:21:50 EDT
I think the package should be rename to be closer to the upstream name;
maybe thaifonts-scalable would be good?
Comment 18 Jens Petersen 2008-02-07 02:24:08 EST
I submitted thaifonts-scalable, cleaned up from Behdad's packaging, under bug
431829.

Hope that is ok, otherwise we can also continue the review here.
Just felt it was easier to start with a fresh ticket with a new submitter. :)
Comment 19 Jens Petersen 2008-02-07 23:56:27 EST
Thanks for the good start with packaging these fonts.

Finally we should have decent Thai fonts in F9. :)

*** This bug has been marked as a duplicate of 431829 ***

Note You need to log in before you can comment on or make changes to this bug.